<button
  class={{this.BASIC_CLASS}}
  disabled={{this.isDisabled}}
  aria-label='Confirm action'
  type='button'
  tabindex={{if this.isDisabled '-1' '0'}}
  ...attributes
  {{on 'click' @onClick}}
  {{animate-me
    safetyStatus=@safetyStatus
    webAnimations=@webAnimations
    focusMe=this.focusMe
  }}
>
  {{#if (has-block)}}
    {{yield}}
  {{else}}
    {{@displayedMessage}}
  {{/if}}
</button>